.checkout-header {
  // .checkout-header__wrapper
  &__wrapper {
    transition: all 0.3s ease-in-out;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.3);
    z-index: 11;
    @media (min-width: 75rem) {
      box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.1);
    }
  }
  // .checkout-header__sticky-wrapper
  &__sticky-wrapper {
    transition: all 0.3s ease-in-out;
    transform: translateY(0);
    position: sticky;
    top: 0;
  }
  // .checkout-header__header-simplified
  &__header-simplified {
    font-weight: 600;
    padding: 12px 0;
    background: #000;
  }
  // .checkout-header__container
  &__container {
    margin-left: auto;
    margin-right: auto;
    padding-right: 1.875rem;
    padding-left: 1.875rem;
    max-width: 120rem;
    @media (min-width: 75rem) {
      padding-right: calc(4.085rem + 96px);
      padding-left: calc(4.085rem + 96px);
    }
  }
  // .checkout-header__row
  &__row {
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-right: calc((1.875rem * 0.5) * -1);
    margin-left: calc((1.875rem * 0.5) * -1);
  }
  // .checkout-header__header-simplified-logo-container
  &__header-simplified-logo-container {
    display: flex;
    @media (min-width: 75rem) {
      justify-content: center;
      text-align: center;
    }
    box-sizing: border-box;
    flex: 0 0 auto;
    padding-right: calc((1.875rem * 0.5));
    padding-left: calc((1.875rem * 0.5));
    @media only screen and (min-width: 75rem) {
      margin-left: 25%;
    }
    @media only screen and (min-width: 75rem) {
      flex-basis: 50%;
      max-width: 50%;
    }
  }
  // .checkout-header__logo
  &__logo {
    font-size: 24px;
    color: #fff !important;
    font-weight: 800;
    text-transform: uppercase;
    @media (min-width: 75rem) {
      font-size: 35px;
    }
  }
  // .checkout-header__right
  &__right {
    text-align: right;
    flex: 0 0 auto;
    box-sizing: border-box;
    flex-basis: 66.66667%;
    max-width: 66.66667%;
    padding-right: calc((1.875rem * 0.5));
    padding-left: calc((1.875rem * 0.5));
    @media only screen and (min-width: 75rem) {
      flex-basis: 25%;
      max-width: 25%;
    }
  }
  // .checkout-header__header-simplified-link-container
  &__header-simplified-link-container {
    font-size: 0.75rem;
    color: #fff;
    line-height: 1;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    @media (min-width: 48rem) {
      font-size: 0.875rem;
    }
    span {
      display: inline-block;
      margin-left: 10px;
      white-space: nowrap;
      font-size: 0.75rem;
      color: #fff;
      line-height: 1;
    }
  }
}
//
.checkout-footer {
  font-weight: 600;
  // .checkout-footer__section
  &__section {
    display: block;
    padding: 30px 0;
    background: #000;
    @media (min-width: 75rem) {
      display: flex;
    }
    &:not(:first-child) {
      border-top: 1px solid #fff;
    }
    @media (max-width: 74.875rem) {
      text-align: center;
    }
  }
  // .checkout-footer__container
  &__container {
    width: 100%;
  }
  // .checkout-footer__links-list
  &__links-list {
    display: block;
    margin: 0;
    padding: 0;
    @media (min-width: 75rem) {
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
    @media (max-width: 74.875rem) {
      display: inline-block;
    }
  }
  // .checkout-footer__link
  &__link {
    display: block;
    @media (min-width: 75rem) {
      display: inline-flex;
    }
    @media (max-width: 74.875rem) {
      width: 100%;
      text-align: left;
      &:not(:first-child) {
        margin-top: 20px;
      }
    }
    a {
      color: #fff;
      font-size: 0.875rem;
      span {
        vertical-align: middle;
      }
      span:first-child {
        margin-right: 12px;
        font-size: 1.375rem;
      }
    }
    // .checkout-footer__link_upper
    &_upper {
      text-transform: uppercase;
    }
  }
  // .checkout-footer__elements-container
  &__elements-container {
    display: block;
    @media (min-width: 75rem) {
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
  }
  // .checkout-footer__paragraph
  &__paragraph {
    font-size: 0.6875rem;
    display: block;
    margin: 0;
    color: #fff;
    @media (min-width: 75rem) {
      display: inline-flex;
    }
    @media (max-width: 74.875rem) {
      width: 100%;
      text-align: center;
    }
    &:not(:first-child) {
      @media (max-width: 74.875rem) {
        margin-top: 20px;
      }
    }
  }
  // .checkout-footer__return-link
  &__return-link {
    color: #fff;
  }
}
//
.checkout-main {
  position: relative;
  background: #fff;
  padding: 30px 0;
  min-height: 60vh;
  margin: 0 auto;
  @media (min-width: 48rem) {
    min-height: 100%;
    margin-bottom: 30px;
  }
  @media (min-width: 75rem) {
    min-height: calc(100vh - 155px - 59px - 30px);
  }
  // .checkout-main__container
  &__container {
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    max-width: 75rem;
    padding-left: 0;
    padding-right: 0;
    @media (min-width: 75rem) {
      padding-right: calc((1.875rem * 0.5));
      padding-left: calc((1.875rem * 0.5));
    }
  }
  // .checkout-main__row
  &__row {
  }
  // .checkout-main__stepper
  &__stepper {
  }
  // .checkout-main__step-area
  &__step-area {
  }
}
.checkout-stepper {
  // .checkout-stepper__wrapper
  &__wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  // .checkout-stepper__row
  &__row {
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-basis: 100%;
    max-width: 100%;
    @media (min-width: 75rem) {
      padding-top: 25px;
      padding-bottom: 40px;
    }
    @media only screen and (min-width: 48rem) {
      flex-basis: 50%;
      max-width: 50%;
    }
  }
  // .checkout-stepper__step-item-wrapper
  &__step-item-wrapper {
    display: flex;
    align-items: center;
  }
  &__step-divider {
    display: block;
    flex: 1 1 auto;
    min-width: 1%;
    border-bottom: 2px solid #b4b4b4;
  }
  // .checkout-stepper__step-item
  &__step-item {
    text-decoration: none;
    transition: all 0.3s ease-in-out;
    color: #585858;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    // .checkout-stepper__step-item_status--active
    &_status--active {
      .checkout-stepper__step-number {
        border: 2px solid #ffcd00;
        background-color: transparent;
        color: #000;
      }
      .checkout-stepper__step-label {
        font-weight: 700;
        padding-bottom: 5px;
        border-bottom: 2px solid #000;
      }
    }
    // .checkout-stepper__step-item_status--completed
    &_status--completed {
      .checkout-stepper__step-number {
        color: #000;
        border: 2px solid #ffcd00;
        background-color: #ffcd00;
        font-size: 0;
        &::before {
          content: '';
          width: 12px;
          height: 6px;
          top: 50%;
          left: 50%;
          position: absolute;
          border-left: 1px solid #000;
          border-bottom: 1px solid #000;
          transform: translate(-50%, -50%) rotate(-45deg);
        }
      }
      .checkout-stepper__step-label {
        font-weight: 700;
      }
    }
  }
  // .checkout-stepper__step-number
  &__step-number {
    font-weight: 700;
    font-size: 1rem;
    line-height: 27px;
    position: relative;
    margin-left: 10px;
    margin-right: 10px;
    height: 27px;
    width: 27px;
    border-radius: 50%;
    border: 2px solid #000;
    color: #000;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  // .checkout-stepper__step-label
  &__step-label {
    font-weight: 400;
    font-size: 0.875rem;
    display: none;
    top: 35px;
    color: #000;
    position: absolute;
    @media (min-width: 75rem) {
      display: block;
    }
  }
  // .checkout-stepper__step-divider
  &__step-divider {
  }
}

.step-area {
  margin-top: 10px;
  h3 {
    font-size: 1.125rem;
    font-weight: 600;
    color: #000;
    margin-top: 20px;
    margin-bottom: 20px;
    padding: 0 1.875rem;
    @media (min-width: 75rem) {
      font-size: 1.25rem;
      padding: 0;
    }
  }
  // .step-area__wrapper
  &__wrapper {
  }
  // .step-area__row
  &__row {
  }
  // .step-area__radio-group
  &__radio-group {
    width: 100%;
    padding: 0px 30px;
    @media (min-width: 48rem) {
      padding: 0;
    }
  }
  &__step-2 {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    @media only screen and (min-width: 75rem) {
      width: 66%;
    }
  }
  &__new-delivery-btn {
    margin-top: 10px;
    display: flex;
    justify-content: flex-end;
    margin-bottom: 30px;
    @media (min-width: 75rem) {
      margin-bottom: 50px;
    }
  }
}
.radio-group {
  // .radio-group__section
  &__section {
    input {
      display: none;
    }
    label {
      font-size: 0.75rem;
      font-weight: 600;
      position: relative;
      display: flex;
      padding: 30px 0 30px 45px;
      color: #585858;
      cursor: pointer;
      height: auto;
      align-items: flex-start;
      border-top: 2px solid #f7f7f7;
      @media (min-width: 75rem) {
        align-items: center;
      }
      &::before,
      &::after {
        content: '';
        display: block;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
      }
      &::before {
        width: 20px;
        height: 20px;
        border: 2px solid #3d4043;
        border-radius: 50%;
        left: 10px;
      }
      &::after {
        width: 10px;
        height: 10px;
        background: #3d4043;
        border-radius: 50%;
        left: 15px;
        opacity: 0;
        transition: all 0.3s ease-in-out;
      }
    }
    input:checked + label {
      color: #000;
    }
    input:checked + label {
      background: #f7f7f7;
    }
    input:checked + label:after {
      opacity: 1;
    }
  }
  // .radio-group__text
  &__text {
    padding-right: 10px;
    flex-basis: 66.66667%;
    max-width: 66.66667%;
  }
  // .radio-group__description
  &__description {
    font-weight: 300;
    color: #585858;
    padding: 0px 10px;
    display: none !important;
    @media (min-width: 48rem) {
      display: inline-block !important;
    }
  }
  // .radio-group__price
  &__price {
    font-size: 0.875rem;
    color: #000;
    font-weight: 600;
    display: flex;
    justify-content: flex-end;
    //
    flex-basis: 33.33333%;
    max-width: 33.33333%;
    @media (min-width: 48rem) {
      padding-right: 10px;
    }
    @media (min-width: 75rem) {
      font-size: 1rem;
    }
  }
  @media only screen and (min-width: 48rem) {
    &__text,
    &__description,
    &__price {
      flex-basis: 33.33333%;
      max-width: 33.33333%;
    }
  }
}
.step-buttons {
  // .step-buttons__step-btn-section
  &__step-btn-section {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 0 1.875rem;
    padding-bottom: 30px;
    @media (min-width: 75rem) {
      padding-top: 10px;
      padding-bottom: 10px;
    }
  }
  // .step-buttons__step-btn-wrapper
  &__step-btn-wrapper {
    position: relative;
    width: 100%;
    &:first-child {
      order: 1;
      @media only screen and (min-width: 75rem) {
        order: 2;
      }
    }
    &:last-child {
      order: 2;
      @media only screen and (min-width: 75rem) {
        order: 1;
      }
    }
    @media only screen and (min-width: 75rem) {
      width: auto;
    }
  }
  // .step-buttons__step-btn
  &__step-btn {
    font-size: 0.75rem;
    width: 100%;
    @media (min-width: 75rem) {
      width: 330px;
    }
  }
  // .step-buttons__step-btn-submit
  &__step-btn-submit {
    @media (max-width: 74.875rem) {
      margin-bottom: 10px;
    }
  }
  &__left-edge {
    padding-left: 40px;
    padding-right: 0;
    position: relative;
    span {
      transform: rotate(-90deg);
      left: 10px;
      position: absolute;
    }
  }
}

.summary-step {
  &__summary-form-products-container {
    background: #f7f7f7;
    padding: 10px 25px;
    margin-bottom: 16px;
    .card-product__item {
      border-color: rgb(210, 210, 210);
    }
  }
  &__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  &__summary-form-header {
    font-size: 1rem;
    margin: 13px 0;
    color: #000;
    font-weight: 600;
    @media (min-width: 75rem) {
      font-size: 1.125rem;
    }
  }
  &__summary-form-header-btn {
    font-size: 0.75rem;
    font-weight: 500;
    padding: 8px 10px;
  }
}

// ===================================================================
.side-box {
  p {
    margin: 0 0 15px;
  }
  // .side-box__side-box
  &__side-box {
    position: relative;
    width: 100%;
    &:not(:first-child) {
      margin-top: 10px;
    }
  }
  // .side-box__side-box-wrapper
  &__side-box-wrapper {
    background: #f7f7f7;
    padding: 27px 30px;
  }
  // .side-box__side-box-heading
  &__side-box-heading {
    margin: 0;
    font-weight: 600;
    font-size: 1rem;
    color: #000;
    margin-bottom: 13px;
    padding-bottom: 13px;
    border-bottom: 2px solid #d2d2d2;
  }
  // .side-box__side-box-content
  &__side-box-content {
    font-size: 0.875rem;
    font-weight: 600;
    position: relative;
    color: #000;
  }
  // .side-box__side-box-link-btn
  &__side-box-link-btn {
    z-index: 2;
    cursor: pointer;
    position: absolute;
    right: 0;
    top: 10px;
    display: inline-block;
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    transform: translateY(-50%);
    border-radius: 100%;
    background-color: #fff;
  }
  // .side-box__row
  &__row {
  }
}
.delivery-address {
  // .delivery-address__address
  &__address {
    min-height: 210px;
    span {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      padding: 5px 0;
      display: block;
    }
  }
  // .delivery-address__full-name
  &__full-name {
    font-weight: 700;
  }
}
.summary-step {
  // .summary-step__summary-form-delivery-method-wrapper
  &__summary-form-delivery-method-wrapper {
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }
  // .summary-step__summary-form-delivery-method-header
  &__summary-form-delivery-method-header {
    margin-bottom: 15px;
  }
  // .summary-step__summary-form-side-box-section
  &__summary-form-side-box-section {
    &:not(:first-child) {
      margin-top: 16px;
    }
  }
  // .summary-step__summary-form-labels
  &__summary-form-labels {
    color: #878787;
  }
}
.summary {
  // .summary__content
  &__content {
  }
  // .summary__cart-summary-info
  &__cart-summary-info {
    font-weight: 500;
    font-size: 0.75rem;
    position: relative;
    width: 100%;
    display: flex;
    justify-content: space-between;
    @media (min-width: 48rem) {
      font-size: 1.25rem;
      width: 65%;
      margin: 0 auto;
    }
    @media (min-width: 75rem) {
      font-size: 0.875rem;
      width: 100%;
    }
    &:not(:first-child) {
      margin-top: 5px;
    }
  }
  // .summary__cart-summary-info-title
  &__cart-summary-info-title {
    margin: 0;
    @media (min-width: 75rem) {
      font-size: 0.875rem;
    }
  }
  // .summary__cart-summary-info-value
  &__cart-summary-info-value {
    margin: 0;
    @media (min-width: 75rem) {
      font-size: 0.875rem;
    }
  }
  // .summary__cart-summary-info-last-row
  &__cart-summary-info-last-row {
    font-weight: 600;
    padding-top: 25px;
    @media (min-width: 75rem) {
      font-size: 1rem;
    }
  }
}
.summary-step-terms-template {
  // .summary-step-terms-template__summary-form-terms
  &__summary-form-terms {
    font-size: 0.6875rem;
    font-weight: 500;
    position: relative;
    color: #878787;
    line-height: 1.5;
    a {
      font-weight: 700;
      text-decoration: none;
      transition: all 0.3s ease-in-out;
      color: #585858;
      &:hover {
        color: #000;
      }
    }
  }
  // .summary-step-terms-template__summary-form-terms-info
  &__summary-form-terms-info {
    padding-top: 15px;
    label {
      font-size: 0.6875rem;
      font-weight: 500;
      position: relative;
      color: #878787;
      line-height: 1.5;
      a {
        font-weight: 700;
        text-decoration: none;
        transition: all 0.3s ease-in-out;
        color: #585858;
        &:hover {
          color: #000;
        }
      }
    }
  }
  // .summary-step-terms-template__summary-form-checkbox-wrapper
  &__summary-form-checkbox-wrapper {
    margin: 6px 0 2px;
  }
}
.dynamic-field {
  // .dynamic-field__dynamic-field
  &__dynamic-field {
    position: relative;
  }
  // .dynamic-field__dynamic-field-checkbox
  &__dynamic-field-checkbox {
  }
}
.checkbox {
  // .checkbox__checkbox-group
  &__checkbox-group {
    padding-top: 5px;
    padding-bottom: 5px;
    display: flex;
    align-items: center;
  }
  // .checkbox__checkbox
  &__checkbox {
    input {
      display: none;
    }
    input:checked + label:after {
      opacity: 1;
    }
    input:checked + label:before {
      border-color: #000;
    }
    label {
      font-size: 0.75rem;
      font-weight: 500;
      position: relative;
      display: block;
      align-items: center;
      padding-left: 30px;
      color: #585858;
      line-height: 1.5;
      cursor: pointer;
      a {
        font-weight: 600;
        text-decoration: none;
        transition: all 0.3s ease-in-out;
        color: #585858;
      }
      @media (min-width: 75rem) {
        font-size: 0.6875rem;
        padding-left: 25px;
      }
      &::before,
      &::after {
        content: '';
        display: block;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
      }
      &::before {
        width: 18px;
        height: 18px;
        border: 1px solid #585858;
        border-radius: 1px;
        top: 9px;
        left: 0;
        @media (min-width: 75rem) {
          width: 14px;
          height: 14px;
          top: 8px;
        }
      }
      &::after {
        transition: all 0.3s ease-in-out;
        width: 12px;
        height: 12px;
        background: #000;
        top: 9px;
        left: 3px;
        opacity: 0;
        @media (min-width: 75rem) {
          width: 8px;
          height: 8px;
          top: 8px;
        }
      }
    }
  }
  // .checkbox__checkbox-label
  &__checkbox-label {
  }
  // .checkbox__checkbox--vertical
  &__checkbox--vertical {
  }
}
.button-container {
  display: block;
  width: 100%;
}
.button-container-margined-top {
  margin-top: 10px;
}
